[MODULE] Smali Patcher for native Android (Termux)

Search This thread

Sh1iva

Member
Jan 12, 2021
8
0
I have had no help on this, please somebody help me out
Maybe post a screenshot of your termux screen and everything that's stated there.... Which step did you follow( Stable automate, dev automate, manually installed??? I got help within minutes and i got it installed and worked properly thank to the help i got here
 

007CH4MP007

New member
Jan 15, 2021
4
0
Maybe post a screenshot of your termux screen and everything that's stated there.... Which step did you follow( Stable automate, dev automate, manually installed??? I got help within minutes and i got it installed and worked properly thank to the help i got here
can u tell me how to deselect from given patches and apply only those that we want.
 

Skrrrp

Member
Mar 9, 2020
6
0
Maybe post a screenshot of your termux screen and everything that's stated there.... Which step did you follow( Stable automate, dev automate, manually installed??? I got help within minutes and i got it installed and worked properly thank to the help i got here
i posted the problem in my previous complaint, done everything i can
 

Skrrrp

Member
Mar 9, 2020
6
0
Maybe post a screenshot of your termux screen and everything that's stated there.... Which step did you follow( Stable automate, dev automate, manually installed??? I got help within minutes and i got it installed and worked properly thank to the help i got here
I did stable auto and dev auto, dont really understand the manual
 

matchi

Member
May 13, 2016
17
4
I can't find the module
 

Attachments

  • Screenshot_20210120-151717.jpg
    Screenshot_20210120-151717.jpg
    245.3 KB · Views: 89
  • Screenshot_20210120-151949.jpg
    Screenshot_20210120-151949.jpg
    1,002.8 KB · Views: 89

nvo2411

Senior Member
Jan 9, 2012
467
75
Thanks for creating such a concept.

I'm getting these error. I followed the automatic method as per attached ss here

Please guide
 

Attachments

  • Screenshot_2021-01-24-02-26-49-250_com.termux.jpg
    Screenshot_2021-01-24-02-26-49-250_com.termux.jpg
    670.8 KB · Views: 60
  • IMG_20210124_024647.jpg
    IMG_20210124_024647.jpg
    122.1 KB · Views: 59
Aug 8, 2019
47
13
jfronny.gitlab.io
Thanks for creating such a concept.

I'm getting these error. I followed the automatic method as per attached ss here

Please guide
The log doesn't mention direct dependencies of sm4a, this likely means this is a problem with upgrading the installed packages. Try running the following commands manually, if they fail that might be the cause (note: i have removed the -y flags for this so user input will be required):
Code:
apt update
apt upgrade
apt install proot-distro figlet wget git make clang
 

Rahu1#####

New member
Feb 22, 2021
3
0
Now i
OpenJDK should get installed automatically, you could try using smalipatcher-shell and installing it manually through apt with apt install -y openjdk-14-jre-headless
When i started again from beginning
Then that issue was resolved
But now after selecting patches

I encountered this what to do now
Pls help sir
I already gave storage permission
Screenshot_2021-02-22-23-05-57-633_com.termux.jpg
 

Attachments

  • Screenshot_2021-02-22-22-31-04-984_com.termux.jpg
    Screenshot_2021-02-22-22-31-04-984_com.termux.jpg
    416.7 KB · Views: 8

Rahu1#####

New member
Feb 22, 2021
3
0
Now i

When i started again from beginning
Then that issue was resolved
But now after selecting patches

I encountered this what to do now
Pls help sir
I already gave storage permission
View attachment 5229677
I realised that module was already in storage
😅😅 Sorry for the dumb question
But last question can i clear data of terminal
It won't affect mudule??
Also thank you for such a great thing sir
 
Aug 8, 2019
47
13
jfronny.gitlab.io
I realised that module was already in storage
😅😅 Sorry for the dumb question
But last question can i clear data of terminal
It won't affect mudule??
Also thank you for such a great thing sir
Termux and my proot env are only needed to generate the module, you can remove them after that. It should be noted though that you might need to remove and recreate your modules when your system updates
 
  • Like
Reactions: Rahu1#####

Top Liked Posts

  • There are no posts matching your filters.
  • 7
    WARNING: Currently sm4a is stuck on Smali Patcher 7.2 and (due to complications on my end, specifically the decompiler not producing usable code diffs) an update to 7.3 is unlikely without access to the proper source code of smali patcher. If you want to, you can try to clone the repo, revert the last few commits, decompile smali patcher and try to port over the changes yourself.

    Smali Patcher is a Module created by @fOmey that allows for users to apply patches to their Android system, such as removing signature verification or making mock locations seem genuine.
    While the tool is very useful, it requires a windows installation to be ran. That was the reason I decided to work on porting the program to linux.
    However: In doing so I recognized that I could get it running entirely on android without dependency on any desktop system using termux.
    If you want to try it out, I have provided instructions for installing my port here (tested only on LineageOS 17.1 for SM-A520F because that is my only phone, it should work fine on other devices though).
    Please note that I had to make some changes to the internal logic of Smali Patcher to get this running so if you experience any problems you should ask me for support and not bother fOmey. I have also created a windows backport of my modifications here.

    Also, feel free to mess with the source code.

    Thanks to fOmey for creating his awesome tool and not threatening to sue me if I release my modifications.
    1
    I feel like I'm stress testing your patience for noobs. Lol. Linux isn't fully my forte, but I understand a little. I am learning. I appreciate your willingness in making this project.

    New screenies for you.

    Edit: I will say I somehow assume this is partly on my end, with just my phone I assume. But thought I'd share.
    On-device ADB has caused some issues for me in the past, with my phone sometimes showing up as an android emulator even without allowing networking, other times the network connection showed up without having to connect first, apparently it doesn't work at all sometimes. You can ignore the line "cannot stat SmaliPatcherModule*" btw, that is in the script to allow modules to be copied out if they get generated and doesn't indicate an error currently. I am honestly not entirely sure how you would go about getting the connection working, sorry.
    The output of adb connect indicates that the issue might be with the OS denying access to ADB for local networks (this is unlikely if you have an AOSP-based ROM) or some fault in the ADB setup. I think you might have to look for help elsewhere
    1
    sorry for nob question sir @CreepycCrafter24 , but which command line to put "--no-cp" argument when i try to patch for other phone..??
    ./smalipatcher --no-cp
    1
    sir, smali update to version 7.2 with more patch.. can u merged it..??

    also, can u make tutorial if we want to patch other phone.. like, where to place other phone framework folder and build.prop.. and what command to run patch..
    7.2 should already be merged. Relative to the termux home dir, files are copied to
    Code:
    ../usr/var/lib/proot-distro/installed-rootfs/ubuntu-20.04/root/adb
    . The command is the same, just add --no-cp
    1
    View attachment 5185223

    Module is installed thanks alot for your help.... But my last question is how do i know the patches are working???
    it depends what you patch..
    like if u patch secure flag, try to take screenshot on app thats not allowed screenshot..